---
slug: entity-viewer
title: What is the Entity viewer?
description: How to browse gene, transcript and protein data in the Entity viewer
related_articles:
  - relative_path: transcripts.md
  - relative_path: gene-function.md
  - relative_path: overview.md
  - relative_path: external-references.md
tags:
  - entity
status: draft
---

# What is the Entity viewer?

Entity viewer collates information about the gene of interest and related entities, such as its transcripts and proteins. This page is composed of the Main display, Right-hand panel, Navigation bar and Action bar.
 
## Main display

Main display presents data relating to the gene of interest. The gene summary is found at the top of the view, while data tabs including [Transcripts](transcripts.md), [Gene function](gene-function.md) and Gene relationships are located beneath. Active tab is shown in black.
 
The gene summary section includes the gene image, Ensembl gene stable ID, gene length, strand and transcript count. Please note that the gene is always displayed in the 5’->3’ orientation, regardless of the strand. You can also go to the [Genome browser](../genome-browser/browser.md) from here to view your gene of interest plotted against the genome, by clicking the ‘View in Genome browser’ icon.
 
 ## Right-hand panel
 
Right-hand panel provides additional information about the gene of interest such as [Overview](overview.md) and [External references](external-references.md).
 
## Navigation bar

Navigation bar shows gene summary details including its name, Ensembl gene stable ID, biotype, strand and genomic coordinates. It also lists available views in the Right-hand panel.
 
## Action bar

Action bar allows you to show/hide the Right-hand panel, Search, view Bookmarks, Share the view or Download sequences.
 
### Bookmarks

Bookmarks view is an auto-generated browsing history of up to 20 genes previously loaded within the Entity viewer application.
 
### Download

Download enables custom export of the sequence data for the gene of interest and all of its transcripts and translations. Select your options by ticking the boxes, then click on the green Download button to export sequences in FASTA format.
